Subject: Re: [PATCH 0/4] repo: add support for path-related fields

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Mar 2026 08:38:29 -0800

"brian m. carlson" <[email-masked]> writes:

> With `git rev-parse`, you can change `--path-format` on the command line
> between options, so if you want both, you just request one thing, use
> `--path-format`, and then request the other.  However, that can't be
> done with `git repo` and `--path-format`.

Hmph, that is one advantage of that incremental option handling done
by "rev-parse", which often is a source of confusion and complaints,
though ;-)